fsxfsinfo

NAME
fsxfsinfo - determines information about a X File System (XFS) volume

SYNOPSIS
fsxfsinfo [-B bodyfile] [-E inode_number] [-F path] [-o offset] [-dhHvV] source

DESCRIPTION
fsxfsinfo is a utility to determine information about a X File System (XFS) volume

fsxfsinfo is part of the libfsxfs package. libfsxfs is a library to access the X File System (XFS) format

source is the source file.

The options are as follows:

-B bodyfile
    output file system information as a bodyfile

-d  calculate a MD5 hash of a file entry to include in the bodyfile

-E inode_number
    show information about a specific inode or "all"

-F path
    show information about a specific file entry path

-h  shows this help

-H  shows the file system hierarchy

-o offset
    specify the volume offset

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fsxfsinfo xfs.raw
    fsxfsinfo 20220728

    X File System information:

    Volume information:
            Format version                  : 5
            Label                           : xfs_test

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libfsxfs/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright 2020-2022, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO